Chronox Public APIs
    • Get Started
      • Introduction
      • Authentication
      • Rate limiting
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Whatsapp Templates
      GET
    • Get Whatsapp Template Details
      GET
    • Get Whatsapp Template Category
      GET
    • Get Whatsapp Languages
      GET
    • Get Whatsapp Template Type
      GET
    • Get Whatsapp Template Interactive Type
      GET
    • Get Whatsapp Template Header Type
      GET
    • Get Whatsapp Template Button Type
      GET
    • Get Whatsapp Template Dynamic Variable Type
      GET
    • Create Whatsapp Template
      POST
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Schemas
      • Thread Execution Data

      Send Whatsapp Message

      Developing
      POST
      /thread/send-manual-message
      DM Message can only be sent if 24 hour window is open.

      Request

      Header Params

      Body Params application/jsonRequired

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      cURL
      curl --location 'https://api.chronox.ai/api/thread/send-manual-message' \
      --header 'priority: u=1, i' \
      --header 'Authorization: Bearer ext-6d9d2de9a25e15a457f0498d2a80919df01c448476c294492946fa6fa5a51355' \
      --header 'content-type: application/json' \
      --data '{
          "type": "text",
          "text": "Hii",
          "integrated_channel_id": 1,
          "user_wa_phone_number": "916352505293"
      }'
      Response Response Example
      Success
      {
          "status": true,
          "data": {
              "wa_message_response": {
                  "status": true,
                  "data": {
                      "messaging_product": "whatsapp",
                      "contacts": [
                          {
                              "input": "+917297914605",
                              "wa_id": "917297914605"
                          }
                      ],
                      "messages": [
                          {
                              "id": "wamid.HBgMOTE3Mjk3OTE0NjA1FQIAERgSQjBCMjEyQjVCRkYxQTMwQUQ5AA=="
                          }
                      ]
                  }
              },
              "changeLogId": 265243,
              "threadExecutionLogIds": [
                  "a75acdf2-18cd-41bd-8832-4aa27e976623"
              ]
          }
      }
      Modified at 2026-04-16 13:06:57
      Previous
      Create Whatsapp Template
      Next
      Send Whatsapp Template
      Built with